For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Getting Started
    • Introduction
    • How Verifa Works
    • Quickstart
    • Choosing an Integration Method
  • Use Cases
    • KYC Onboarding
    • Age Verification
    • AML Compliance
    • Fraud Prevention
    • Marketplace Trust & Safety
  • Core Concepts
    • Overview
    • Sessions
    • Verifications & Checks
    • Workflows
    • Identities
    • Cases
    • Screening & Reports
    • Lists
  • Integration Guides
    • Overview
    • JavaScript SDK
    • Web Capture Flow
    • API-Only Integration
    • Mobile SDK
    • Webhooks Guide
    • MCP Server
    • Migrating from Persona
  • API Details
    • Overview
    • Authentication
    • Pagination
    • Rate Limiting
    • Versioning
    • Errors
    • Webhooks
    • Idempotency
    • Key Inflection
    • Data Access
    • Data Retention
  • Tutorials
    • Creating Your First Verification Session
    • Creating a Workflow
    • Receiving Webhooks & Validating Signatures
    • Handling Webhook Events
    • Custom Document Types & AI Extraction
  • Best Practices
    • Testing
    • Preventing Duplicates
    • Fraud Signals
    • Changelog
  • API Reference
      • GETList organizations
      • POSTCreate an organization
      • GETGet an organization
      • PATCHUpdate an organization
      • GETList API keys
      • POSTCreate an API key
      • DELRevoke an API key
API ReferenceOrganizations

Create an organization

POST
https://devapi.withverifa.com/api/v1/organizations
POST
/api/v1/organizations
$curl -X POST https://devapi.withverifa.com/api/v1/organizations \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Acme Corp",
> "slug": "acme-corp"
>}'
1{
2 "id": "org_abc123",
3 "name": "string",
4 "slug": "string",
5 "is_active": true,
6 "plan": "free",
7 "created_at": "2024-01-15T09:30:00Z",
8 "verification_mode": "auto",
9 "webhook_url": "string",
10 "minimum_age": 1,
11 "data_retention_days": 1
12}
Was this page helpful?
Previous

Get an organization

Next
Built with

Authentication

AuthorizationBearer

Admin JWT token via Authorization: Bearer <token>.

Headers

Verifa-VersiondateOptional

API version date string (e.g. 2026-02-01). If omitted, the version pinned to your API key is used.

Request

This endpoint expects an object.
namestringRequired
Organization display name.
slugstringRequiredformat: "^[a-z0-9-]+$"

URL-safe identifier.

verification_modeenumOptionalDefaults to auto

Whether sessions are auto-approved or require manual review.

Allowed values:
webhook_urlstringOptionalformat: "uri"
URL to receive webhook events.
webhook_secretstringOptional
Secret used to sign webhook payloads.
minimum_ageintegerOptional>=0
Minimum age requirement for age verification checks.

Response

Organization created.
idstring
namestring
slugstring
is_activeboolean
planenum
Allowed values:
created_atdatetime
verification_modeenum
Allowed values:
webhook_urlstring or null
minimum_ageinteger or null
data_retention_daysinteger or null

Errors

400
Bad Request Error
401
Unauthorized Error